Autor Tópico: Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]  (Lida 3376 vezes)

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1657
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Netmake,
Bom dia,
O php 5.3 irá ter seu fim do ciclo de vida em março de 2013, todos os usuários do php 5.3 são encorajados a migrar para o php 5.4.
Minha pergunta é: O scriptcase 6 trabalha bem com o php 5.4?
Preciso desta resposta para saber se migro ou não o serivdor para php 5.4 depois de março.
Obrigado

PS: vide anúncio na página do php

PHP 5.4.10 and PHP 5.3.20 released!

20-Dec-2012


The PHP development team announces the immediate availability of PHP 5.4.10 and PHP 5.3.20. These releases fix about 15 bugs. Please note that the PHP 5.3 series will enter an end of life cycle and receive only critical fixes as of March 2013. All users of PHP are encouraged to upgrade to PHP 5.4.

For source downloads of PHP 5.4.10 and PHP 5.3.20 please visit our downloads page, Windows binaries can be found on windows.php.net/download/.

The list of changes are recorded in the ChangeLog.
« Última modificação: Janeiro 02, 2013, 02:01:37 pm por Alexandre Pereira Bühler »
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1657
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013
« Responder #1 Online: Janeiro 02, 2013, 01:41:48 pm »
A netmake, no suporte, me respondeu por ticket.
Logo, em brevei migrarei para o php 5.4.

Segue resposta:

Welcome to Netmake Support

Dear Alexandre,

Good morning!

Thanks for contact our support.

 

Mr., o php deve ser 5.3 ou superior como informamos nos pré-requisitos.

The installation requirements are :

1 - Web server with PHP support, such as Apache, IIS, Abyss and more.
2 - PHP 5.3 or higher, with the modules mbstring, GD2 and zip enabled.
3 - Zend Guard Loader v3.3.
4 - Standard SQL Database (SQLite, MySQL, MSSQL, PostgreSQL, Oracle and DB2) PHP accessible .*
5 - Java or JRE - Java Runtime Environment 1.6.0 or higher installed on the server.

OBS: Always have a backup of your projects and scriptcase.



I hope this helps. If you have further questions please contact our sector.
Have a nice day.

Best regards,
Gustavo Tenório

NetMake - Soluções em Informática
---------------------------------
For news about scriptcase v6:
http://www.facebook.com/scriptcase

Please, evaluate our service by accessing the link:

http://www.netmake.com.br/survey/
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1657
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013
« Responder #2 Online: Janeiro 02, 2013, 01:56:40 pm »
Corrigindo.
Me ligaram do suporte da netmake.
o "upgrade" deve ser sempre em cima do php 5.3. Exemplo:
php 5.3.19 para php 5.3.20.
O php 5.4 com scriptcase 6 não é recomendado usar.
Obrigado
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Bernhard

  • Administrator
  • Expert
  • *****
  • Mensagens: 1619
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #3 Online: Janeiro 03, 2013, 10:34:35 pm »
Boa noite Alexandre,

Apenas confirmando, até então o SC trabalha bem com versões do PHP 5.3 e superiores, até a última versão do PHP 5.3 e não do PHP 5.4.

Não sei se o que falei ficou um pouco confuso :P , mas qualquer dúvida estou a disposição.

att,
Bernhard Bernsmann

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1657
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #4 Online: Janeiro 04, 2013, 12:20:05 am »
Foi claro Bernhard.
Obrigado
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

paulomarcelo

  • Expert
  • *****
  • Mensagens: 638
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #5 Online: Janeiro 05, 2013, 10:44:21 pm »
Bernard você pode nos dizer se a versão 7 do scriptcase é funciona com php 5.4?

Bernhard

  • Administrator
  • Expert
  • *****
  • Mensagens: 1619
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #6 Online: Janeiro 08, 2013, 10:54:44 pm »
Pessoal,

Acredito que as aplicações publicadas (da V6) funcionarão sem problemas no PHP 5.4. Recomendo que façam alguns testes enquanto não temos uma resposta oficial da NM.

O SC 6 ainda não está no PHP 5.4 devido a versão do Zend Guard Loader que ainda não existe nas versões 5.4 do PHP.

att,
Bernhard Bernsmann

paulomarcelo

  • Expert
  • *****
  • Mensagens: 638
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #7 Online: Janeiro 09, 2013, 08:55:25 am »
Bernard, mas eu perguntei é se a versão 7 scriptcase funciona com php 5.4? A 6 já sabemos que não.

Robert Berbert

  • Expert
  • *****
  • Mensagens: 769
  • Desenvolver é sempre estar se atualizando.
    • Conesoft
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #8 Online: Janeiro 09, 2013, 08:59:59 am »
Use the latest technologies
Want to use PHP 5.4 in production? Zend Server 6 includes a tested, certified and supported PHP 5.4 runtime engine.

=/
-- Design ou programador eis a questão.

saulobborges

  • Expert
  • *****
  • Mensagens: 1392
    • SGi Sistemas
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #9 Online: Janeiro 09, 2013, 10:06:18 am »
Pessoal, lembrem-se que a V6 tem como requisito o PHP 5.3 o framework e não o código gerado por ele, o código funciona inclusive na 5.2, já testei e vai normalmente, e tenho scripts da V5 rodando perfeitamente no PHP 5.3.

O Bernhard foi claro, nossos scripts em 99% dos casos irão funcionar sem problemas nas versões posteriores (leia-se 5.4), não podemos confundir os requisitos do SC enquanto RAD, Framework e os requisitos dos códigos gerados pelo SC.

Uma coisa eu sei, a preocupação exagerada com isso é sem fundamento, nenhum desenvolvedor que leva a sério o seu trabalho faz upgrade de versão e estrututra logo nos primeiros meses de lançamento, a 5.3 é uma prova de que uma versão do PHP amadurece em ciclos de 12 a 15 meses e mesmo sendo assim temos atualizações em versões anteriores, se notar no changelog vão ver que a 5.2.15 saiu logo após a 5.3.3, então eu não me preocuparia com isso.

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1657
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #10 Online: Janeiro 10, 2013, 09:15:10 pm »
Não é preocupação exagerada.
Sempre que uma nova distro sai do Debian ou slackware eu já atualizao meus servidores.
E o Debian Wheezy que já esta em Frozen vem com o php 5.4.
O slackware 14 também já esta com o php 5.4.
Se coloco o wheezy tenho que saber se o SC IDE irá funcionar. Pois senão funcionar eu e todos que hospedam o Scriptcase IDE aqui ficamos sem um ambiente de desenvolvimento.
Agora porque eu sempre atualizo?

1) No meu servidor eu recebo no mínimo de 30 a 100 tentativas de ataques todo dia.
Eu recebo e-mail de cada tentativa de ataque  ssh, ftp, apache e etc.
Logo, além das ferramentas de proteção é essencial manter o sistema atualizado para não ser explorada nenhuma brecha.
Ainda tenho de ficar de olho nos usuários que por desconhecimento mantém seus diretórios com 777 no joomla, xoops e companhia ltda sem aplicar patchs de correção  do joomla e etc. E por vezes vem chorar que alguém fez um deface e desfigurou seu site ou um cracker apagou seu site porque ele descobriu seus fenomenais usuários e senhas (admin - 12345, admin - admin, root - root).
E sim, acreditem,  já vi pessoas configurando o PROD do SC com usuário admin e senha admin para todo mundo da internet poder acessar.
Entenda  eu preciso me preocupar querendo ou não, mas não posso deixar quem usa SC IDE no meu serivdor na mão com as atualizações de segurança que faço.

2) Quanto ao: "se notar no changelog vão ver que a 5.2.15 saiu logo após a 5.3.3".  Sempre foi assim. Eles mantém dois releases.
A última do php 5.2.17  foi em 06-Jan-2011 quando pararam as subreleases do php 5.2,  e entrou  PHP 5.4 em 01-Mar-2012.

"a) Eles fazem isto para que os programadores tenham tempo de adaptar seu código com as novas mudanças, ou não haveria:
http://php.net/manual/pt_BR/migration53.php
http://php.net/manual/pt_BR/migration54.php
Quem não lembra quando usávamos variáveis globais em tudo e de repende a diretiva globals veio desabilitada por padrão?
Foi muito trabalho mudar os códigos.
E quando algumas coisas do php 4 ficaram deprecated e tivemos que mais uma vez refazer códigos.
Exemplo o magic_quotes foi deprecated. Quem usava sabe o que foi ter que adptar os códigos.
Ou funções como a is_a() foram undeprecated. Somem e depois voltam. hehehehhe.
b) Também fazem isto para que os bugs da recém php 5.4 possam ser encontrados pelos usuários cobaias e corrigidos pelos desenvolvedores do php enquanto a maioria fica seguro na 5.3"

Agora por exemplo temos a dupla php 5.3 e php 5.4.
So que eles vão parar de lançar correções para 5.3 em março e ficaremos em breve com a dupla 5.4 e 5.5.
Logo, se você tem algum bug na 5.3 depois de março que precisa ser corrigido terá que migrar para 5.4.

Eu sempre atualizo o php, mysql e etc que vem nas distros. A exemplo atualizei o php 5.3.3 que vem no Debian Squeeze por padrão ou quem usa Firebird não iria conseguir acessar o banco corretamente. Havia diversos bugs com relação ao firebird. Se deixasse somente as correções (updates) que vem na distro tava ferrado.  Neste caso não iria adiantar culpar o Scriptcase era coisa da subrelease do php mesmo.
Se fosse para corrigir migrando para próxima distro Wheezy eu ficaria com o php 5.4 e  todos os SC Frameworks parados aqui?
Solução update no php 5.3.
Vocês devem se lembrar no início do SC 6 as reclamações do pessoal que usa Firebird e ficou parado até a correção php_interbase.dll  no sc 6.00.0007.
Isto mesmo a correção foi atualizar o php.
Agora me diga usando o SC 6 Framework eu poderia voltar todo o servidor com todos os usuários para o php 5.2? Os SC 6 framework funcionária?
Segundo o texto:

"Uma coisa eu sei, a preocupação exagerada com isso é sem fundamento, nenhum desenvolvedor que leva a sério o seu trabalho faz upgrade de versão e estrututra logo nos primeiros meses de lançamento, a 5.3 é uma prova de que uma versão do PHP amadurece em ciclos de 12 a 15 meses e mesmo sendo assim temos atualizações em versões anteriores, se notar no changelog vão ver que a 5.2.15 saiu logo após a 5.3.3, então eu não me preocuparia com isso."

Neste caso eu poderia voltar ao php 5.2.15? Meus usuários que entraram direto no SC 6 e que usam Firebird ficariam como?
Sei que podia fazer uma gambiarra para ter o php5.2 e php 5.3, mas convenhamos gambiarra é uma (*)&¨$#@¨¨(.

SC não é somente um Framework, lembrem-se que ele também é compilado, sem o compilador o seu código não faz nada. Sem o banco de dados ele não é nada. Então garanta que seu compilador e banco de dados estejam perto de 100%.





« Última modificação: Janeiro 10, 2013, 09:17:12 pm por Alexandre Pereira Bühler »
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

paulomarcelo

  • Expert
  • *****
  • Mensagens: 638
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #11 Online: Janeiro 11, 2013, 09:10:37 am »
Alenxandre, muito bom o detalhamento em sua argumentação. Acho que a minha pergunta tem plena condição de ser respondida pelo Bernard, pois como eles estão em ajustes finais com certeza o core já foi desenvolvido e testado em alguma versão do php e por isso eu só gostaria de saber qual é. Logo não entendo porque você Bernard não pode só questionar a equipe de desenvolvimento sobre esta compatibilidade e apenas repassar esta resposta aqui para este tópico, visto que como você mesmo falou que a versão sai em janeiro nós já poderiamos nos preparar para ajustar nossos ambientes para o upgrade da versão.

saulobborges

  • Expert
  • *****
  • Mensagens: 1392
    • SGi Sistemas
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #12 Online: Janeiro 11, 2013, 09:51:18 am »
Alexandre, eu disse que o SC enquanto framework tem seus requerimentos, porém o código gerado por ele não acompanha estes mesmo requerimentos, o seu caso é diferente você mantém uma estrutura para usuários do SC e como você mesmo disse o SC só precisa dessas atualizações de versão do PHP pura e simplesmente por ser desenvolvido com Zend e ser compilado com bytecode, ou seja a zend atualiza o seu sistema consequentemente a NM tem que atualizar e adequar o SC a essa nova realidade.

Quanto a questão que você disse que mantém seus servidores atualizados devido a constantes ataques, dá uma pesquisada na ferramenta que se chama DenyHosts para sistemas Unix, acredito até que você a conheça, resolvi boa parte de meus problemas com a ajuda desta ferramenta.

Muito boa sua argumentação, mas ainda continuo achando que para a maioria dos usuários o que realmente importa é se os códigos gerados serão compatíveis com versões anteriores e posteriores, o ambiente de desenvolvimento em sí pelo menos acredito que para a maioria das pessoas do fórum pode ser atualizado ou não com menor preocupação do que você, visto que você é um fornecedor de estrutura para o SC e deve sim pensar em todas as possibilidades.

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1657
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #13 Online: Janeiro 11, 2013, 10:47:59 am »
Saulo eu na verdade uso uma solução que verifica mais coisas que o denyhost.
O denyhost somente verifica o ssh.
A solução adotada aqui verifica ssh, ftp, apache, pop, sasl e etc.
Mas mesmo assim não é bom depender somente destas ferramentas até elas tem vunerabilidades de injeção de  log remoto.
Eu entendi seu posicionamento e do Paulo sobre o ambiente de produção  e concordo com vocês neste caso.
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Robert Berbert

  • Expert
  • *****
  • Mensagens: 769
  • Desenvolver é sempre estar se atualizando.
    • Conesoft
    • Email
Re:Scriptcase 6 e php 5.3 chegando ao fim do ciclo de vida em março de 2013 [rsvdo]
« Responder #14 Online: Janeiro 11, 2013, 11:29:11 am »
Alexandre aqui na empresa instalaram um tal de ÚnicoNET eu odiei a solução deles, eles possuem um gerenciador web pra fazer liberação de portas, redirecionamento e tal, mas quando eu vou no squid e digito para obter logs sempre tem, tentativas de invasão, nukes, as vezes a internet cai, as vezes fica muito lenta. Antes disso a empresa não tinha segurança nenhuma, e foi vítima de crime virtual, agora tem essa solução ai, mas acontecem ataques frequentemente, eu não tenho nem conhecimento nem sei a solução para isso, me colocaram como responsável de uma área que sou bem leigo, e ainda me dirigiram a responsabilidade da segurança.

Eu faço o que posso, leio re-leio tudo que encontro na internet, graças a Deus não teve nenhum problema após a instalação do firewall, mas pra mim é uma solução muito precária, ela só serve pra o meu chefe ficar bloqueando sites e monitorando conversas de msn, um puta desperdício de dinheiro.

Se você tiver uma solução melhor, ou você trabalhar com consultoria, tentar melhorar esse servidor aqui ficaria grato. Para gente se interagir melhor, me chame no skype.

vlw.
-- Design ou programador eis a questão.